<?php

namespace App\Traits;

trait RoleTrait
{
    public function isBlocked()
    {
        return $this->is_blocked;
    }

    public function isAgent()
    {
        return $this->role === 'agent';
    }

    public function isAdmin()
    {
        return $this->role === 'admin';
    }
}
